Bug 54870 - keygen.c only use [a-zA-Z0] instead [a-zA-Z0-9]
Summary: keygen.c only use [a-zA-Z0] instead [a-zA-Z0-9]
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bind   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-22 08:55 UTC by Alexander Kanevskiy
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-02 11:19:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander Kanevskiy 2001-10-22 08:55:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4+) Gecko/20010910

Description of problem:
keygen.c (in bind-9*.src.rpm) only use [a-zA-Z0] instead [a-zA-Z0-9]
patch attached

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. make keygen
2. ./keygen
3.
	

Actual Results:  key don't include any numbers except 0

Expected Results:  key must have a-zA-Z0-9

Additional info:

--- keygen.c.kad        Mon Oct 22 11:37:41 2001
+++ keygen.c    Mon Oct 22 11:36:56 2001
@@ -11,7 +11,7 @@
                tmp=fgetc(f);
                if((tmp>='a' && tmp<='z') ||
                   (tmp>='A' && tmp<='Z') ||
-                  (tmp>='0' && tmp<='0'))
+                  (tmp>='0' && tmp<='9'))
                        key[i++]=tmp;
        }
        puts(key);

Comment 1 Bernhard Rosenkraenzer 2001-11-05 15:53:03 UTC
Fixed in CVS; this will be in the 9.2.0-0.rc8.3 or 9.2.0-0.rc9.1 or 9.2.0-1 package, depending on what the next release of bind will be. 
 


Comment 2 Alexander Kanevskiy 2001-12-02 11:19:22 UTC
-rw-rw-r--    1 529      529       3832538 Nov 26 23:32 bind-9.2.0-1.src.rpm

keygen.c - bug still present.



Note You need to log in before you can comment on or make changes to this bug.